var JFrame = Packages.javax.swing.JFrame;
var JDialog = Packages.javax.swing.JDialog;

function doOpenXml (input)
{
	var cookSwing = new Packages.cookxml.cookswing.CookSwing ();
	// pass statusBar to other demo XML.
	cookSwing.setId ("statusBar", null, "label", statusBar);
	var container = cookSwing.render (input);
	if (container == null)
	{
		statusBar.setText (msgInvalidXmlFile + input);
		return;
	}
	if (container instanceof JFrame ||
		container instanceof JDialog)
	{
		container.setVisible (true);
	}
	else
	{
		swingPane.removeAll ();
		swingPane.add (container);
	}

	statusBar.setText (msgFileOpened + input);

	var html = null;
	try
	{
		input = Packages.cookxml.common.creator.TextCreator.readText (input);
		html = Packages.examples.util.XmlToHtmlConverter.convert ("", input);
	}
	catch (ex)
	{
		html = msgErrorReadingXml;
	}
	xmlPane.setText (html);
}

var listener =
{
	actionPerformed: function (e)
	{
		var box = e.getSource ();
		var name = box.getSelectedItem ();
		doOpenXml ("examples/cookjs/xml/" + name);
	}
}

new java.awt.event.ActionListener (listener);
