package examples.tutorial;

import javax.swing.*;

import cookxml.core.DecodeEngine;
import cookxml.core.exception.SetterException;
import cookxml.core.interfaces.Setter;

public class AlignmentSetter implements Setter
{
	public void setAttribute (String tagNS, String tag, String attrNS, String attr, Object obj, Object value, DecodeEngine decodeEngine) throws SetterException
	{
		String attrValue = (String)value;
		int alignment;
		if ("center".equalsIgnoreCase (attrValue))
			alignment = SwingConstants.CENTER;
		else if ("left".equalsIgnoreCase (attrValue))
			alignment = SwingConstants.LEFT;
		else if ("RIGHT".equalsIgnoreCase (attrValue))
			alignment = SwingConstants.RIGHT;
		else
			throw new SetterException (decodeEngine, null, this, tagNS, tag, attrNS, attr, obj, value);
		((JMenuItem)obj).setHorizontalAlignment (alignment);
	}
}
