package examples.tutorial;

import javax.swing.*;

import org.w3c.dom.Element;

import cookxml.core.DecodeEngine;
import cookxml.core.exception.CookXmlException;
import cookxml.core.exception.CreatorException;
import cookxml.core.interfaces.Creator;

public class IconCreator implements Creator
{
	public Object create (String parentNS, String parentTag, Element elm, Object parentObj, DecodeEngine decodeEngine) throws CreatorException
	{
		// look ahead to see if "ui" attribute is specified.
		String iconKey = elm.getAttribute ("ui");
		return UIManager.getIcon (iconKey);
	}

	public Object editFinished (String parentNS, String parentTag, Element elm, Object parentObj, Object obj, DecodeEngine decodeEngine) throws CookXmlException
	{
		// usually if one is not doing anything special here, then just need to
		// return obj.
		return obj;
	}
}
